Package org.apache.drill.jdbc

# Interface DrillStatement

All Superinterfaces:
  `AutoCloseable`, `Statement`, `Wrapper`

public interface DrillStatement extends Statement
Drill-specific `Statement`.

See Also:
  - `Wrapper.unwrap(java.lang.Class<T>)`

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`int`
`getQueryTimeout()`
`boolean`
`isClosed()`
`void`
`setQueryTimeout(int seconds)`
Drill: Supported (for non-zero timeout value).
`void`
`setResultSet(org.apache.calcite.avatica.AvaticaResultSet resultSet)`
`void`
`setUpdateCount(int value)`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getQueryTimeout

int getQueryTimeout() throws AlreadyClosedSqlException, SQLException

Specified by:
  `getQueryTimeout` in interface `Statement`
Throws:
  `AlreadyClosedSqlException` - if connection is closed
  `SQLException` - Any other exception

### setQueryTimeout

void setQueryTimeout(int seconds) throws AlreadyClosedSqlException, JdbcApiSqlException, SQLException
Drill: Supported (for non-zero timeout value).

Specified by:
  `setQueryTimeout` in interface `Statement`
Throws:
  `AlreadyClosedSqlException` - if connection is closed
  `JdbcApiSqlException` - if an invalid parameter value is detected (and not above case)
  `SQLException` - Any other exception

### isClosed

boolean isClosed()

Drill: Does not throw SQLException.

Specified by:
  `isClosed` in interface `Statement`

### setResultSet

void setResultSet(org.apache.calcite.avatica.AvaticaResultSet resultSet)

### setUpdateCount

void setUpdateCount(int value)